<template>
  <div>
    <order-jumbotron/>
    {{ order }}
  </div>
</template>

<script setup lang='ts'>
  import { useDeliveryAddress } from "~/composable/delivery/useDeliveryAddress"
  import { useOrderById } from "~/composable/order/useOrderById"

  const { selectedAddress } = useDeliveryAddress()

  const route = useRoute()
  const orderId = computed(() => {
    const id = route.params.orderId

    if (typeof id !== 'string') {
      throw new Error()
    }

    return Number(id)
  })

  const order = useOrderById(orderId)
</script>